Subject: Who wanted my RA81s?

From: Alan Perry <[email-masked]>
Date: Fri May 9 06:29:01 2003

Last fall someone offered to take some RA81s off of my hands.  To avoid the 
hassle of trying to ship them, he was supposed to pick them up from my house in 
the spring, when he would be driving through Seattle.  Well, it is spring and I 
haven't heard from you.

If you are the person who wanted the RA81s, let me know if you still want them.

Thanks.

alan